<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>nikita</groupId>
		<artifactId>nikita-noark5-core</artifactId>
		<version>0.5</version>
	</parent>

	<artifactId>nikita-noark5-core-package</artifactId>
	<packaging>rpm</packaging>

	<name>Nikita Noark5 Core Application - RPM Package</name>

	<dependencies>
		<dependency>
			<groupId>${project.groupId}</groupId>
			<artifactId>nikita-noark5-core-app</artifactId>
			<version>${project.version}</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>rpm-maven-plugin</artifactId>
				<version>2.2.0</version>
				<extensions>true</extensions>
				<configuration>
					<group>${project.groupId}</group>
					<mappings>
						<mapping>
							<directory>/var/nikita-noark5-core</directory>
							<filemode>755</filemode>
							<username>nikita-noark5-core</username>
							<groupname>nikita-noark5-core</groupname>
							<dependency>
								<stripVersion>true</stripVersion>
								<includes>
									<include>${project.groupId}:nikita-noark5-core-app</include>
								</includes>
							</dependency>
						</mapping>
						<mapping>
							<directory>/etc/systemd/system</directory>
							<filemode>755</filemode>
							<username>root</username>
							<groupname>root</groupname>
							<sources>
								<source>
									<location>src/main/resources/systemd</location>
								</source>
							</sources>
						</mapping>
					</mappings>
					<preinstallScriptlet>
						<scriptFile>src/main/resources/preinstall.sh</scriptFile>
						<fileEncoding>utf-8</fileEncoding>
						<filter>true</filter>
					</preinstallScriptlet>
					<postinstallScriptlet>
						<scriptFile>src/main/resources/postinstall.sh</scriptFile>
						<fileEncoding>utf-8</fileEncoding>
						<filter>true</filter>
					</postinstallScriptlet>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
